: Class PrivateRequest

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.soap
Class PrivateRequest

    java.lang.Object
      |
      +--org.emboss.jemboss.soap.PrivateRequest

public class PrivateRequest
extends java.lang.Object

Constructor Summary
`PrivateRequest(uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings, java.lang.String service, java.lang.String method)` Make a soap call to a private server
`PrivateRequest(uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings, java.lang.String service, java.lang.String method, java.util.Vector args)` Make a soap call to a private server
`PrivateRequest(uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings, java.lang.String method, java.util.Vector args)` Make a soap call to a private server, using the default service

Method Summary
`java.util.Hashtable` | `getHash()`
`java.lang.String` | `getResult()`
`java.lang.Object` | `getVal(java.lang.String val)` Gets an element out of the embreo result hash
`boolean` | `succeeded()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrivateRequest

    public PrivateRequest(uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings,
                          java.lang.String method,
                          java.util.Vector args)
                   throws JembossSoapException

  Make a soap call to a private server, using the default service
  Parameters:
    `mysettings` - EmbreoParams defining server parameters
    `method` - String defining which method to call
    `args` - Vector of arguments
  Throws:
    `JembossSoapException` - If authentication fails

### PrivateRequest

    public PrivateRequest(uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings,
                          java.lang.String service,
                          java.lang.String method)
                   throws JembossSoapException

  Make a soap call to a private server
  Parameters:
    `mysettings` - EmbreoParams defining server parameters
    `service` - String defining which service to call
    `method` - String defining which method to call
  Throws:
    `JembossSoapException` - If authentication fails

### PrivateRequest

    public PrivateRequest(uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings,
                          java.lang.String service,
                          java.lang.String method,
                          java.util.Vector args)
                   throws JembossSoapException

  Make a soap call to a private server
  Parameters:
    `mysettings` - EmbreoParams defining server parameters
    `service` - String defining which service to call
    `method` - String defining which method to call
    `args` - Vector of arguments
  Throws:
    `JembossSoapException` - If authentication fails

Method Detail

### succeeded

    public boolean succeeded()

  Returns:
    true if the call succeeded (eventually) or not

### getVal

    public java.lang.Object getVal(java.lang.String val)

  Gets an element out of the embreo result hash
  Parameters:
    `val` - The key to look up
  Returns:
    Either the element, or an empty String if there is no an element that matches the key

### getResult

    public java.lang.String getResult()

  Returns:
    The result of the soap server call. This is the first element that is returned. Only useful for server methods that return a simple value.

### getHash

    public java.util.Hashtable getHash()

  Returns:
    Hahtable of results returned by the server call.

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD